Subject: [alpine-devel] New aport diffutils

From: Leonardo Arena <[email-masked]>
Date: Tue, 20 Jan 2009 09:56:49 +0100

Please see attached patch

Thanks
Leo
From f80e154e092e4d19868f3aa73451ce2ff1e9f869 Mon Sep 17 00:00:00 2001
From: Leonardo Arena <root@df1844j.(none)>
Date: Tue, 20 Jan 2009 08:53:29 +0000
Subject: [PATCH] extra/diffutils: new aport

---
 extra/diffutils/APKBUILD |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)
 create mode 100644 extra/diffutils/APKBUILD

diff --git a/extra/diffutils/APKBUILD b/extra/diffutils/APKBUILD
new file mode 100644
index 0000000..03593e8
--- /dev/null
+++ b/extra/diffutils/APKBUILD
@@ -0,0 +1,23 @@
+# Contributor: Leonardo Arena <[email-masked]>
+pkgname=diffutils
+pkgver=2.8.1
+pkgrel=0
+pkgdesc="Show differences among files"
+subpackages="$pkgname-doc"
+arch=""
+url="http://www.gnu.org/software/diffutils/"
+license="GPL2"
+depends="uclibc"
+makedepends=""
+install=
+source="http://ftp.gnu.org/pub/gnu/diffutils/diffutils-2.8.1.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr --mandir=/usr/share/man
+	make || return 1
+	make check || return 1
+	make install DESTDIR=$pkgdir
+}
+md5sums="71f9c5ae19b60608f6c7f162da86a428  diffutils-2.8.1.tar.gz"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Tue, 20 Jan 2009 10:15:26 +0100

Hi Leo,

> Please see attached patch

Cool!

nclab01:~/aports/extra/diffutils$ tar -ztf diffutils-2.8.1-r0.apk     
.PKGINFO
usr/
usr/info/
usr/info/diff.info
^^^^
this belongs in -doc package.

usr/bin/
usr/bin/cmp
usr/bin/diff
usr/bin/diff3
usr/bin/sdiff

Otherwise good.

> 
> Thanks
> Leo 
> 
> 
> 
> 
> 
> 
> differences
> between files
> attachment
> (0001-extra-diffutils-new-aport.patch)
> 
...
> +       ./configure --prefix=/usr --mandir=/usr/share/man

so we should use:

	./configure --prefix=/usr --mandir=/usr/share/man\
		--infodir=/usr/share/info

I can fix that.

> +md5sums="71f9c5ae19b60608f6c7f162da86a428  diffutils-2.8.1.tar.gz"

Otherwise it looks good. Is it ok if you maintain this package? It means
your name and email is in top and bugs and fixes for this package goes
to you. You create patches which i verify and commit.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Tue, 20 Jan 2009 10:22:35 +0100

It's ok, thanks for reviewing!

---

From: Natanael Copa <[email-masked]>
Date: Tue, 20 Jan 2009 10:24:57 +0100

> It's ok, thanks for reviewing!

woot!

your commit:
http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=3b847621b75c355d7d97d102f4cf0ea1b37a4e14

the fix:
http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=c08adf6896312a22de8fbc050c5d74d32166a98d

Thanks!

> 
> On Tue, Jan 20, 2009 at 10:15 AM, Natanael Copa
> <[email-masked]> wrote:
>         Hi Leo,
>         
>         

---

---

From: Natanael Copa <[email-masked]>
Date: Tue, 20 Jan 2009 10:27:23 +0100

> It's ok, thanks for reviewing!

btw... Look at the "Author of the commit"
http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=3b847621b75c355d7d97d102f4cf0ea1b37a4e14

You should probably set your email address in git:

git config --global user.email [email-masked]

-nc

---

---

From: Leonardo Arena <[email-masked]>
Date: Tue, 20 Jan 2009 10:33:40 +0100

Done!

Thanks